# $Id: PKGBUILD,v 1.20 2007/11/15 23:53:14 daniel Exp $
# Maintainer: judd <jvinet@zeroflux.org>
pkgname=flex
pkgver=2.5.33
pkgrel=3
pkgdesc="A tool for generating text-scanning programs"
arch=(i686 x86_64)
url="http://flex.sourceforge.net"
license=('custom')
groups=('base-devel')
depends=('glibc' 'bash')
source=(http://downloads.sourceforge.net/sourceforge/flex/flex-$pkgver.tar.bz2 
        flex-yytext.patch)
md5sums=('343374a00b38d9e39d1158b71af37150' '3aeab6871ea9fed8ed45db5692e390ca')

build() {
  cd $startdir/src/$pkgname-$pkgver
  patch -Np1 -i ../flex-yytext.patch
  ./configure --prefix=/usr
  make || return 1
  make prefix=$startdir/pkg/usr install
  cat > $startdir/pkg/usr/bin/lex << "EOF"
#!/bin/sh
# Begin /usr/bin/lex

exec /usr/bin/flex -l "$@"
# End /usr/bin/lex
EOF
  chmod 755 $startdir/pkg/usr/bin/lex
  # install license
  install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/license.txt
}
